Images
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3820,
"posters": [
{
"aspect_ratio": 0.667,
"file_path": "/jtdLq8qkYO4aoA77OoAPBO3WHQC.jpg",
"height": 1200,
"iso_639_1": "es",
"vote_average": 3.334,
"vote_count": 1,
"width": 800
},
{
"aspect_ratio": 0.666,
"file_path": "/ujW8p4k4gAbka9ZuXQFQLZjBEbg.jpg",
"height": 1000,
"iso_639_1": "en",
"vote_average": 1.75,
"vote_count": 4,
"width": 666
},
{
"aspect_ratio": 0.667,
"file_path": "/rTWuczoyaCjZBXnzaOCdc1Hs7s1.jpg",
"height": 1500,
"iso_639_1": "en",
"vote_average": 1.75,
"vote_count": 4,
"width": 1000
},
{
"aspect_ratio": 0.667,
"file_path": "/knEJBQWkKEAwgHgJN1dIADvv180.jpg",
"height": 2562,
"iso_639_1": "en",
"vote_average": 1.75,
"vote_count": 2,
"width": 1708
},
{
"aspect_ratio": 0.667,
"file_path": "/8Ii97vZahFi1CrEZHsj6PUBiX07.jpg",
"height": 2100,
"iso_639_1": "en",
"vote_average": 1.434,
"vote_count": 5,
"width": 1400
},
{
"aspect_ratio": 0.701,
"file_path": "/4JN5VluFBcAcaqBMCscGeKG9Cvc.jpg",
"height": 1426,
"iso_639_1": "en",
"vote_average": 1.434,
"vote_count": 5,
"width": 1000
},
{
"aspect_ratio": 0.667,
"file_path": "/yOQXiOgW7wKA4LfDop20lq7J6mx.jpg",
"height": 1080,
"iso_639_1": "en",
"vote_average": 1.434,
"vote_count": 5,
"width": 720
},
{
"aspect_ratio": 0.667,
"file_path": "/nR0qJCgoDPyR2usGGY2oCI9fKot.jpg",
"height": 1500,
"iso_639_1": "en",
"vote_average": 1.222,
"vote_count": 3,
"width": 1000
},
{
"aspect_ratio": 0.667,
"file_path": "/vV2Fs17XWSUeG1hTo8eNfc6mOte.jpg",
"height": 700,
"iso_639_1": "en",
"vote_average": 1.222,
"vote_count": 3,
"width": 467
},
{
"aspect_ratio": 0.692,
"file_path": "/pkjjSbwx1T7hGs5SBTX6XS439ol.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0.334,
"vote_count": 3,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/xlXALWkKF89A5peeX0BqhSdMIMb.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0.334,
"vote_count": 3,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/r1jNlPxiZF6T0LGUVdVk9Ds5pQE.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0.334,
"vote_count": 3,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/3CvmZivQ1pLpd85ofOoi66BvROP.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0.166,
"vote_count": 3,
"width": 400
},
{
"aspect_ratio": 0.692,
"file_path": "/5IJuNMoBqSiUQm5B7pJsdUy00T7.jpg",
"height": 578,
"iso_639_1": "en",
"vote_average": 0.166,
"vote_count": 3,
"width": 400
},
{
"aspect_ratio": 0.731,
"file_path": "/fQBOq13w9NCNy5yjBHnkG0VmUeZ.jpg",
"height": 2242,
"iso_639_1": "de",
"vote_average": 0,
"vote_count": 0,
"width": 1638
},
{
"aspect_ratio": 0.667,
"file_path": "/j9u0OA9ZTmmK0zuvZ9uz6BP3m8F.jpg",
"height": 750,
"iso_639_1": "fr",
"vote_average": 0,
"vote_count": 0,
"width": 500
},
{
"aspect_ratio": 0.667,
"file_path": "/cHlzikOHKo9Y0mSI5xb1xVY4f79.jpg",
"height": 1500,
"iso_639_1": "it",
"vote_average": 0,
"vote_count": 0,
"width": 1000
},
{
"aspect_ratio": 0.667,
"file_path": "/fgthaJJQikJTHuhdZ8Sn9dWK3s1.jpg",
"height": 1500,
"iso_639_1": "en",
"vote_average": 0,
"vote_count": 0,
"width": 1000
}
]
}Images
This endpoint get the images of a TV season.
GET
/
3
/
tv
/
{series_id}
/
season
/
{season_number}
/
images
Images
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
a uniques identifier for a tv serie
Example:
2
Query Parameters
specify a comma separated list of ISO-639-1 values to query, for example- en,null
Response
200 - application/json
Images
Example:
3820
Show child attributes
Show child attributes
Example:
[ { "aspect_ratio": 0.667, "file_path": "/jtdLq8qkYO4aoA77OoAPBO3WHQC.jpg", "height": 1200, "iso_639_1": "es", "vote_average": 3.334, "vote_count": 1, "width": 800 }, { "aspect_ratio": 0.666, "file_path": "/ujW8p4k4gAbka9ZuXQFQLZjBEbg.jpg", "height": 1000, "iso_639_1": "en", "vote_average": 1.75, "vote_count": 4, "width": 666 }, { "aspect_ratio": 0.667, "file_path": "/rTWuczoyaCjZBXnzaOCdc1Hs7s1.jpg", "height": 1500, "iso_639_1": "en", "vote_average": 1.75, "vote_count": 4, "width": 1000 }, { "aspect_ratio": 0.667, "file_path": "/knEJBQWkKEAwgHgJN1dIADvv180.jpg", "height": 2562, "iso_639_1": "en", "vote_average": 1.75, "vote_count": 2, "width": 1708 }, { "aspect_ratio": 0.667, "file_path": "/8Ii97vZahFi1CrEZHsj6PUBiX07.jpg", "height": 2100, "iso_639_1": "en", "vote_average": 1.434, "vote_count": 5, "width": 1400 }, { "aspect_ratio": 0.701, "file_path": "/4JN5VluFBcAcaqBMCscGeKG9Cvc.jpg", "height": 1426, "iso_639_1": "en", "vote_average": 1.434, "vote_count": 5, "width": 1000 }, { "aspect_ratio": 0.667, "file_path": "/yOQXiOgW7wKA4LfDop20lq7J6mx.jpg", "height": 1080, "iso_639_1": "en", "vote_average": 1.434, "vote_count": 5, "width": 720 }, { "aspect_ratio": 0.667, "file_path": "/nR0qJCgoDPyR2usGGY2oCI9fKot.jpg", "height": 1500, "iso_639_1": "en", "vote_average": 1.222, "vote_count": 3, "width": 1000 }, { "aspect_ratio": 0.667, "file_path": "/vV2Fs17XWSUeG1hTo8eNfc6mOte.jpg", "height": 700, "iso_639_1": "en", "vote_average": 1.222, "vote_count": 3, "width": 467 }, { "aspect_ratio": 0.692, "file_path": "/pkjjSbwx1T7hGs5SBTX6XS439ol.jpg", "height": 578, "iso_639_1": "en", "vote_average": 0.334, "vote_count": 3, "width": 400 }, { "aspect_ratio": 0.692, "file_path": "/xlXALWkKF89A5peeX0BqhSdMIMb.jpg", "height": 578, "iso_639_1": "en", "vote_average": 0.334, "vote_count": 3, "width": 400 }, { "aspect_ratio": 0.692, "file_path": "/r1jNlPxiZF6T0LGUVdVk9Ds5pQE.jpg", "height": 578, "iso_639_1": "en", "vote_average": 0.334, "vote_count": 3, "width": 400 }, { "aspect_ratio": 0.692, "file_path": "/3CvmZivQ1pLpd85ofOoi66BvROP.jpg", "height": 578, "iso_639_1": "en", "vote_average": 0.166, "vote_count": 3, "width": 400 }, { "aspect_ratio": 0.692, "file_path": "/5IJuNMoBqSiUQm5B7pJsdUy00T7.jpg", "height": 578, "iso_639_1": "en", "vote_average": 0.166, "vote_count": 3, "width": 400 }, { "aspect_ratio": 0.731, "file_path": "/fQBOq13w9NCNy5yjBHnkG0VmUeZ.jpg", "height": 2242, "iso_639_1": "de", "vote_average": 0, "vote_count": 0, "width": 1638 }, { "aspect_ratio": 0.667, "file_path": "/j9u0OA9ZTmmK0zuvZ9uz6BP3m8F.jpg", "height": 750, "iso_639_1": "fr", "vote_average": 0, "vote_count": 0, "width": 500 }, { "aspect_ratio": 0.667, "file_path": "/cHlzikOHKo9Y0mSI5xb1xVY4f79.jpg", "height": 1500, "iso_639_1": "it", "vote_average": 0, "vote_count": 0, "width": 1000 }, { "aspect_ratio": 0.667, "file_path": "/fgthaJJQikJTHuhdZ8Sn9dWK3s1.jpg", "height": 1500, "iso_639_1": "en", "vote_average": 0, "vote_count": 0, "width": 1000 } ]
⌘I